{% extends 'main/layout.html' %}

{% block header %}
    Library
{% endblock header %}

{% block content %}
    <div class="p-5 text-center bg-light">
        <h1 class="mb-3 ">Книги</h1>
        {% for shelf in shelfs %}
            <hr>
            <h2 class="shelf__title">Стеллаж: {{ shelf.shelf_title }}</h2>
            {% for book in books %}
                {% if shelf.id == book.shelf %}
                    <div class="books">
                        <h4 class="mb-3">Название книги: {{ book.title }}</h4>
                        <p>{{ book.author }},
                            {% if book.status %}
                                Книга доступна
                            {% else %}
                                Книга недоступна
                            {% endif %}
                        </p>
                        <a href="{% url 'books_detail' book.id %}"><button type="button" class="btn btn-dark" >Подробнее</button></a>
                    </div>
                {% endif %}
            {% endfor %}
        {% endfor %}
    </div>
{% endblock content %}
